This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1459084 - [trello h1BT3lyQ] "Show Less" flashes with clicked "Show More" on Safari, Edge
[trello h1BT3lyQ] "Show Less" flashes with clicked "Show More" on Safari, Edge
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Robb Hamilton
XiaochuanWang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 05:07 EDT by Xingxing Xia
Modified: 2017-08-16 15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 09:57:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Show More Show Less flash on Safari 10.1 (321.19 KB, application/octet-stream)
2017-06-06 05:09 EDT, Xingxing Xia
no flags Details

  None (edit)
Description Xingxing Xia 2017-06-06 05:07:04 EDT
Description of problem:
On Safari, Edge, "Show Less" flashes with clicked "Show More"; vice versa. See screen record.
Firefox, Chrome don't have the issue.

Version-Release number of selected component (if applicable):
openshift v3.6.95

How reproducible:
Always

Steps to Reproduce:
1. After Service Catalog is deployed, customize the saas offering section to have more than 4 items by:
$ cat saas-offering.js
window.OPENSHIFT_CONSTANTS.SAAS_OFFERINGS.push( {id: 1, title: 'XXIA Example App 1', icon: 'fa fa-cubes', url: 'https://www.google.com', description: 'this is added by xxia'})
// snipped
window.OPENSHIFT_CONSTANTS.SAAS_OFFERINGS.push( {id: 5, title: 'XXIA Example App 5', icon: 'fa fa-cubes', url: 'https://www.google.com', description: 'this is added by xxia'})

$ vi master-config.yaml
...
assetConfig:
  extensionScripts:
  - saas-offering.js
...

Then restart master service

2. On Safari or Edge, login to home page, check saas offering. Click "Show More", then click "Show Less"

Actual results:
2. "Show More Show Less" flashes

Expected results:
2. Should no the flash of "Show More Show Less"

Additional info:
Comment 1 Xingxing Xia 2017-06-06 05:09 EDT
Created attachment 1285302 [details]
Show More Show Less flash on Safari 10.1
Comment 2 Robb Hamilton 2017-06-06 09:32:26 EDT
PR to fix: https://github.com/openshift/origin-web-catalog/pull/271
Comment 3 Robb Hamilton 2017-06-07 14:41:22 EDT
Update to console to pull in previous PR: https://github.com/openshift/origin-web-console/pull/1658
Comment 5 Xingxing Xia 2017-07-02 22:50:20 EDT
Verified in v3.6.126.1
The flash after clicking "Show More" or "Show Less" in Safari/Edge disappears now. Regression testing on other browsers, they still work without new issue.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.